#pragma once
#include "Layer3Process.h"
#include "../../../Layer2Actions/Interface/Actions/Build.h"
#include "../../../../Utils/Process/ProcessContainer.h"

class BuildPylonsProcess : public Layer3Process
{
public:
  BuildPylonsProcess(const Process* parent)
    : Layer3Process(parent, Scheduler::SCHEDULING_MEDIUM_PRIORITY, 1, 0)
    , m_buildPylons(*this)
  {
  }

  virtual void run();

protected:
  virtual void _output(std::ostream& out) const
  {
    out << "Build pylons";
  }

  ProcessContainerList<Build> m_buildPylons;
};
